{
    "info": {
        "name": "Demo1",
        "test_info": [
            "Демонстрационный проект 1"
        ],
        "version": "1.0.0",
        "author": "Shum"
    },

    "users": {
        "if_exists": "ignore",
        "items": {
            "project-admin": {
                "name": "Иван Васильевич Грозный",
                "passw": "12345"
            },
            "agent-manager": {
                "name": "Менеджер Агентов",
                "passw": "12345"
            },
            "key-manager": {
                "name": "Менеджер Ключей",
                "passw": "12345"
            },
            "version-manager": {
                "name": "Менеджер Версий",
                "passw": "12345"
            },
            "handshake-manager": {
                "name": "Менеджер Рукопожатий",
                "passw": "12345"
            },
            "schema-manager": {
                "name": "Менеджер Схем",
                "passw": "12345"
            },
            "console-manager": {
                "name": "Менеджер Консолей",
                "passw": "12345"
            },
            "cloud-manager": {
                "name": "Менеджер Облака",
                "passw": "12345"
            },
            "cache-manager": {
                "name": "Менеджер Кеша",
                "passw": "12345"
            },
            "file-manager": {
                "name": "Менеджер Файлов",
                "passw": "12345"
            },
            "pentester1": {
                "name": "Пентестер 1",
                "passw": "12345"
            }
        }
    },

    "tags": {
        "if_exists": "ignore",
        "items": ["test1", "test2", "test3", "test4", "test5"]
    },

    "projects": {
        "system": {
            "order": 1,
            "if_exists": "ignore",
            "uuid": "11111111-0001-0000-0000-000000000000",

            "user_groups": {
                "if_exists": "ignore",
                "items": {
                    "list_all_users": {
                        "uuid": null,
                        "name": "Получение списка всех пользователей",
                        "rights": {
                            "user.list_all": true
                        },
                        "users": [
                            "project-admin"
                        ]
                    }
                }
            }
        },

        "project": {
            "order": 2,
            "if_exists": "delete",

            "uuid": null,
            "name": "Демонстрационный проект",
            "description": "Демонстрационный проект",
            "system": false,

            "user_groups": {
                "if_exists": "ignore",

                "extend_rights": {
                    "right.list": true,
                    "right.get_full": true,
                    "project.list": true,
                    "user.list": true,
                    "user_group.list": true,
                    "agent_group.list": true,
                    "client.key.get_full": true,
                    "client.schema.get_full": true,
                    "client.version.get_full": true,
                    "client.handshake.get_full": true
                },

                "items": {
                    "admins": {
                        "uuid": null,
                        "name": "Администраторы проекта",
                        "users": [
                            "project-admin"
                        ]
                    },
                    "agent_managers": {
                        "uuid": null,
                        "name": "Менеджеры агенов",
                        "rights": {
                            "user_group.list_by_project": true,

                            "agent_group.create": true,
                            "agent_group.update": true,
                            "agent_group.delete": true,
                            "agent_group.get_full": true,
                            "agent_group.list_by_project": true,
                            "agent_group.user_group.add": true,
                            "agent_group.user_group.delete": true,
                            "agent_group.client_key.add": true,
                            "agent_group.client_key.delete": true,
                            "agent_group.agent.add": true,
                            "agent_group.agent.delete": true,
                            
                            "agent.create": false,
                            "agent.update": true,
                            "agent.delete": true,
                            "agent.get_full": true,
                            "agent.block": true,
                            "agent.unblock": true,
                            "agent.note.set": true,
                            "agent.note.get": true,

                            "client.key.list": true
                        },
                        "users": [
                            "agent-manager"
                        ]
                    },
                    "key_managers": {
                        "uuid": null,
                        "name": "Менеджеры ключей",
                        "rights": {
                            "client.key.create": true,
                            "client.key.update": true,
                            "client.key.delete": true,
                            "client.key.get_full": true,
                            "client.key.list": true
                        },
                        "users": [
                            "key-manager"
                        ]
                    },
                    "version_managers": {
                        "uuid": null,
                        "name": "Менеджеры версий",
                        "rights": {
                            "client.version.create": true,
                            "client.version.update": true,
                            "client.version.delete": true,
                            "client.version.get_full": true,
                            "client.version.list": true
                        },
                        "users": [
                            "version-manager"
                        ]
                    },
                    "handshake_managers": {
                        "uuid": null,
                        "name": "Менеджеры рукопожатий",
                        "rights": {
                            "client.handshake.create": true,
                            "client.handshake.update": true,
                            "client.handshake.delete": true,
                            "client.handshake.get_full": true,
                            "client.handshake.list": true
                        },
                        "users": [
                            "handshake-manager"
                        ]
                    },
                    "schema_managers": {
                        "uuid": null,
                        "name": "Менеджеры схем",
                        "rights": {
                            "client.schema.create": true,
                            "client.schema.update": true,
                            "client.schema.delete": true,
                            "client.schema.get_full": true,
                            "client.schema.list": true
                        },
                        "users": [
                            "schema-manager"
                        ]
                    },
                    "console_managers": {
                        "uuid": null,
                        "name": "Менеджеры консоли",
                        "rights": {
                            "agent.console.admin": true,
                            "agent.console.new": true,
                            "agent.console.open": true,
                            "agent.console.close": true,
                            "agent.console.delete": true,
                            "agent.console.list": true,
                            "agent.console.lock": true,
                            "agent.console.unlock": true,
                            "agent.console.read": true,
                            "agent.console.write": true,
                            "agent.console.pin": true
                        },
                        "users": [
                            "console-manager"
                        ]
                    },
                    "cloud_managers": {
                        "uuid": null,
                        "name": "Менеджеры облака",
                        "rights": {
                            "agent.lfs.file.create": true,
                            "agent.lfs.file.get": true,
                            "agent.lfs.folder.create": true,
                            "agent.lfs.folder.list": true,
                            "agent.lfs.item.get_info": true,
                            "agent.lfs.item.delete": true,
                            "agent.lfs.item.move": true,
                            "agent.lfs.item.rename": true,
                            "agent.lfs.reset": true
                        },
                        "users": [
                            "cloud-manager"
                        ]
                    },
                    "cache_managers": {
                        "uuid": null,
                        "name": "Менеджеры кеша",
                        "rights": {
                            "agent.rfs.file.create": true,
                            "agent.rfs.file.get": true,
                            "agent.rfs.folder.create": true,
                            "agent.rfs.folder.list": true,
                            "agent.rfs.item.copy": true,
                            "agent.rfs.item.delete": true,
                            "agent.rfs.item.move": true,
                            "agent.rfs.item.rename": true,
                            "agent.rfs.reset": true,
                            "agent.rfs.action_status.list": true
                        },
                        "users": [
                            "cache-manager"
                        ]
                    },
                    "file_managers": {
                        "uuid": null,
                        "name": "Менеджеры файлов",
                        "rights": {
                            "agent.lfs.file.create": true,
                            "agent.lfs.file.get": true,
                            "agent.lfs.folder.create": true,
                            "agent.lfs.folder.list": true,
                            "agent.lfs.item.get_info": true,
                            "agent.lfs.item.delete": true,
                            "agent.lfs.item.move": true,
                            "agent.lfs.item.rename": true,
                            "agent.lfs.reset": true,

                            "agent.rfs.file.create": true,
                            "agent.rfs.file.get": true,
                            "agent.rfs.folder.create": true,
                            "agent.rfs.folder.list": true,
                            "agent.rfs.item.copy": true,
                            "agent.rfs.item.delete": true,
                            "agent.rfs.item.move": true,
                            "agent.rfs.item.rename": true,
                            "agent.rfs.reset": true,
                            "agent.rfs.action_status.list": true
                        },
                        "users": [
                            "file-manager"
                        ]
                    },
                    "pentesters": {
                        "uuid": null,
                        "name": "Пентестеры",
                        "rights": {
                            "agent.console.admin": true,
                            "agent.console.new": true,
                            "agent.console.open": true,
                            "agent.console.close": true,
                            "agent.console.delete": true,
                            "agent.console.list": true,
                            "agent.console.lock": true,
                            "agent.console.unlock": true,
                            "agent.console.read": true,
                            "agent.console.write": true,
                            "agent.console.pin": true,

                            "agent.lfs.file.create": true,
                            "agent.lfs.file.get": true,
                            "agent.lfs.folder.create": true,
                            "agent.lfs.folder.list": true,
                            "agent.lfs.item.get_info": true,
                            "agent.lfs.item.delete": true,
                            "agent.lfs.item.move": true,
                            "agent.lfs.item.rename": true,
                            "agent.lfs.reset": true,

                            "agent.rfs.file.create": true,
                            "agent.rfs.file.get": true,
                            "agent.rfs.folder.create": true,
                            "agent.rfs.folder.list": true,
                            "agent.rfs.item.copy": true,
                            "agent.rfs.item.delete": true,
                            "agent.rfs.item.move": true,
                            "agent.rfs.item.rename": true,
                            "agent.rfs.reset": true,
                            "agent.rfs.action_status.list": true,

                            "agent.create": false,
                            "agent.update": true,
                            "agent.delete": false,
                            "agent.get_full": true,
                            "agent.block": true,
                            "agent.unblock": true,
                            "agent.note.set": true,
                            "agent.note.get": true
                        },
                        "users": [
                            "pentester1"
                        ]
                    }
                }
            },

            "client": {
                "keys": {
                    "if_exists": "ignore",
                    "items": {
                        "demo1": {
                            "uuid": null,
                            "name": "Демонстрационный ключ",
                            "value": "demo1",
                            "settings": {
                                "debug": false,
            
                                "system": {                
                                    "interval_correction": 3
                                },
                                
                                "client": {
                                    "type": 1,
                                    "transport": {
                                        "format": 2,
                                        "can_change_fromat": false
                                    },
                                    "can_use_proxy": true,
                                    "check_version": false,
                                    "login_interval": 0,
                                    "login_interval_by_ip_addr": 15,
                                        
                                    "login_expiration": 0,
                                    "login_expiration_type": 0,

                                    "create_expiration": 0,
                                    "create_expiration_type": 0,
                                    
                                    "max_by_key": 1000,
                                    "max_by_ip": 1000
                                },
                                
                                "stream": {
                                    "ping_min_interval": 15,
                                    "ping_max_interval": 180
                                },
                                
                                "token": {
                                    "max_by_agent": 10,                
                                    "ping_min_interval": 5,
                                    "ping_max_interval": 3600,
                                    "next_interval": 5
                                },
                                
                                "agent": {
                                    "can_login_with_agent_uuid": true,
                                    "can_login_with_device_uuid": true,
                                    "can_create_agent_with_agent_uuid": true
                                },
                                
                                "plugin": {            
                                    "consoles": {                    
                                        "input_interval": 5
                                    }
                                }
                            }
                        },
                        "user1": {
                            "uuid": null,
                            "name": "Пользовательский ключ",
                            "value": "user1",
                            "settings": {
                                "debug": false,
                                
                                "system": {                
                                    "interval_correction": 3
                                },
                                
                                "client": {
                                    "type": 2,
                                    "transport": {
                                        "format": 2,
                                        "can_change_fromat": true
                                    },
                                    "can_use_proxy": true,
                                    "check_version": false,
                                    "login_interval": 0,
                                    "login_interval_by_ip_addr": 0,
                                        
                                    "login_expiration": 0,
                                    "login_expiration_type": 0,

                                    "create_expiration": 0,
                                    "create_expiration_type": 0,
                                    
                                    "max_by_key": 0,
                                    "max_by_ip": 0
                                },
                                
                                "stream": {
                                    "ping_min_interval": 0,
                                    "ping_max_interval": 0
                                },
                                
                                "token": {
                                    "max_by_agent": 10,                
                                    "ping_min_interval": 0,
                                    "ping_max_interval": 0,
                                    "next_interval": 0
                                },
                                
                                "agent": {
                                    "can_login_with_agent_uuid": true,
                                    "can_login_with_device_uuid": true,
                                    "can_create_agent_with_agent_uuid": true
                                },
                                
                                "plugin": {            
                                    "consoles": {                    
                                        "input_interval": 0
                                    }
                                }
                            }
                        }
                    }
                },

                "versions": {
                    "if_exists": "ignore",
                    "items": {
                        "demo1": {
                            "uuid": null,
                            "name": "Демонстрационная версия",
                            "value": "demo1"
                        }
                    }
                },

                "handshakes": {
                    "if_exists": "ignore",
                    "items": {
                        "demo1": {
                            "uuid": null,
                            "name": "Демонстрационное рукопожатие",
                            "value": "EBEiM0RVZneImaq7zN3u/w==",
                            "key": "-----BEGIN RSA PRIVATE KEY-----\nMIIEpAIBAAKCAQEAy/oT7pXfSnxehg+VhmoSWo9sc+HUUwOkavfs35J4soBwFGrjO3UNvVN+uDJZ0BodglIyQUNbWuBbm58GtKLW4EdezwM6BGz4j/oYQvnFA8+sgn9n\nz+Hlxhc3uckUP/UB4nJn6Lx+zCVJ44MfIicj7iju5z6oaZobCCoTxHfW+9XV915h\ntORYJ6aEw67dOswc1eiJ6VTaV+EtfqzNFUUYuHE5IsgmwHG9Q8GDHv93KlFPk2iO\n0wEHi6V7bhGcwjIRzdxE/oALzTK8temPr1hcj48KVJCJgh9THYudEI4xBUuIR6cO\nOHNJSwGUDsi3gero2bvYv6g/s3xIqj2CV3I3NwIDAQABAoIBAQCrW+b8y7mvqLX8\nKAF0z42luNHitHicWPX6y1ebJ0DwrMf7zyQg4iBtykQt2FbtZdMelZEUlNKdkNhE\n759Bh3+/IRY8ETjfWPCke/V/5rclkYUaiJAc62kONpkhIhU5+cnghD5ZHmnjdPwS\n/yfbmEguHwM9D72KIeXNwROkPQ1FuIoYTqtTq5ylce6qVD4wkx4mZ/Xi5oLNok+b\nQ0A06Gv/dyR/Wym708KcttvEdLOLzk9W6ilp2zHFewDIMu8rAAWXHpQJt6bMPguo\nTu7tut5OBRiy/L1mgbvQblmoleO2pLg2LUzpGu55AwKH12pzqwIh6jbqNua7nRdt\nqBiL+7GhAoGBAN6Ohf/NKPK0H8rewLKi1yMqnrACZWYVc1SD8P+SCVjnPic0oSXW\n757rtLKZQH95eTRi3Fk+Xa0vm94vyFuUzgFPJJtG2k6KzcqfaheRysaLjNUE2s36\nypdOS1V8XqZUUV/2+S5ilb7c+/FNKPG0VjQMXciY30Lp3nfRqtGpy1SnAoGBAOqg\nz3mrGsGNg/t31/FjizWPTlBFVQ+0LfH81gB2rkzmU8MvUeIHWRGWaPXo0MV2S6RW\nQTBnx4P/1HKyhqcMaNPhaDeNH1m6UO8G1uzAMTDtLTXRWy6UkEDXllh7HKFDZSJp\nFU6fYEBMqHGENMRjnusBIsjWLtXWzJxHAGd2nwrxAoGAFaRcaXyk370eXlb8/CIT\ns6rAVbNV8vBhD7Xo6KFl4UxTYfKfPRPCp3yaTMfUWtEQNUTr0o3bBC1eBeQ1opo8\n0inFEIh6UCr1Sh/obDRUOKx3XHulX2Rk8QO/FagLeDc41pEouBcEItRQd62eLqrv\nuw38zLX4+APQC2zLJKpTSH8CgYA2dOqS17bXE6x9cjxpp2wJG2DW2rC6e1xqnP9i\njik4agEo/VOo/YGbxmhIIyhJnIJD+00YGg5BweAiWvNL1GKEQv34XsXXApqET/cU\nbis8qt/ibNwX/J1an28izDhB6a2QhglO/UjOw7wY1NGWf3TEILhdGvE16qwE3ann\nWa3iUQKBgQCFl3vlM5WMg8xF6RzfKWtTiGjHj4siKKXvE/J95+pKgpqdAa+poy92\nbCxkeZc6jqPoEMiFwIVQAmSGsT371GDAVOLymQMHj4fqYGptNZY309Hq9rja7SZC\nqFybNq3NkFSTu+/DQSN4hsZfaXGo7n+r/JdcnOZI3ZIpL2R9b4zlvA==\n-----END RSA PRIVATE KEY-----"
                        }
                    }
                },

                "schemas": {
                    "if_exists": "ignore",
                    "items": {
                        "demo1": {
                            "uuid": null,
                            "name": "Демонстрационная схема",
                            "value": "demo1",

                            "source": {
                                "project": "system",
                                "value": "demo1"
                            }
                        }
                    }
                }
            },

            "agent_groups": {
                "if_exists": "ignore",
                "items": {
                    "sales_department": {
                        "uuid": null,
                        "name": "Отдел продаж",
                        "user_groups": [
                            "console_managers",
                            "cloud_managers",
                            "cache_managers",
                            "file_managers",
                            "pentesters"
                        ],
                        "client_keys": [
                            "demo1"
                        ]
                    }
                }
            }
        }
    }
}